#include <ClassSpecification_serialization.hh>
#include <MemberVariableSpecification_serialization.hh>
#include <MObject_serialization.hh>


/*
typedef std::vector< MemberVariableSpecification * ,
std::allocator<MemberVariableSpecification*> > my_vector;

BOOST_CLASS_IMPLEMENTATION(my_vector, boost::serialization::object_serializable)

*/

// Class Specification

namespace boost {
namespace serialization {

template<class Archive>
void save(Archive & ar, const ClassSpecification & m, const unsigned int version)
{  
	unsigned int tmp;
	
	ar & make_nvp("MObject",boost::serialization::base_object<MObject>(m));
		
	tmp = 1001;
	ar & make_nvp("link_id",tmp); // link_id for my_variable_specifications
	//ar & BOOST_SERIALIZATION_NVP(m.my_variable_specifications);
	tmp = 1002;

	tmp = 1004;
	ar & make_nvp("link_id",tmp);	
	ar & BOOST_SERIALIZATION_NVP(m.object_class_id);
	
	tmp = 1005;
	ar & make_nvp("link_id",tmp);	
	ar & BOOST_SERIALIZATION_NVP(m.ancestor_class);
	

	tmp = 100;
	ar & make_nvp("link_id",tmp);
}

template<class Archive>
void load(Archive & ar, ClassSpecification & m, const unsigned int version)
{
	unsigned int tmp;

	ar & make_nvp("MObject",boost::serialization::base_object<MObject>(m));
	
	while (true)
	{
		ar & make_nvp("link_id",tmp);

	
		switch (tmp)
		{
			case 100:
			{
				return;
			}; break;
			
			case 1001:
			{
				ar & BOOST_SERIALIZATION_NVP(m.my_variable_specifications);
			}; break;

			case 1003:
			{
				ar & BOOST_SERIALIZATION_NVP(m.permanent);
			}; break;
			
			case 1004:
			{
				ar & BOOST_SERIALIZATION_NVP(m.object_class_id);
			}; break;
			
			case 1005:
			{
				ar & BOOST_SERIALIZATION_NVP(m.ancestor_class);
			}; break;	

			
			case 1007:
			{
				ar & BOOST_SERIALIZATION_NVP(m.abstract);
			}; break;
			

			
			case 1009:
			{
				ar & BOOST_SERIALIZATION_NVP(m.mobject_child);
			}; break;				
		}
	}
	

}

}
}

BOOST_CLASS_EXPORT(ClassSpecification)

const char * ClassSpecification::get_key()const
{
	const boost::serialization::extended_type_info *eti
	= boost::serialization::type_info_implementation<ClassSpecification>::type::get_instance();
	
	return eti->get_key();         
}
