#include <ClassSpecification.h>

#include <CommonSerialize.h>

#include <boost/serialization/export.hpp>


BOOST_SERIALIZATION_SPLIT_FREE(ClassSpecification)

namespace boost {
namespace serialization {

template<class Archive>
void save(Archive & ar, const ClassSpecification & m, const unsigned int version);

template<class Archive>
void load(Archive & ar, ClassSpecification & m, const unsigned int version);

}
}

BOOST_CLASS_TYPE_INFO(ClassSpecification, extended_type_info_no_rtti<ClassSpecification>)


/*
typedef std::vector< MemberVariableSpecification * ,
std::allocator<MemberVariableSpecification*> > my_vector;


BOOST_CLASS_TYPE_INFO(my_vector, extended_type_info_no_rtti<my_vector>)
*/
